// 点を表す構造体
struct point {
    double x; // x座標
    double y; // y座標
};

// 線分を表す構造体(1)
struct line1 {
    double x1; // 始点のx座標
    double y1; // 始点のy座標
    double x2; // 終点のx座標
    double y2; // 終点のy座標
};

// 線分を表す構造体(2)
struct line2 {
    struct point start; // 始点
    struct point end;   // 終点
};

// 長方形を表す構造体(1)
struct rectangle1 {
    double x1; // 点1のx座標
    double y1; // 点1のy座標
    double x2; // 点2のx座標
    double y2; // 点2のy座標
};

// 長方形を表す構造体(2)
struct rectangle2 {
    struct point p1; // 点1
    struct point p2; // 点2
};
