#include <stdio.h>
#include <stdlib.h>

#define BUFFER_SIZE 256

// 番号と曜日の対応表
char *week[] = {
    "日曜日", "月曜日", "火曜日", "水曜日", "木曜日", "金曜日", "土曜日"
};

int main(void);
void get_line(char *buffer, int size);

int main(void)
{
    char buffer[BUFFER_SIZE];
    int n;

    printf("曜日を 0 〜 6 の範囲で入力してください。\n");
    get_line(buffer, BUFFER_SIZE);
    n = atoi(buffer);
    if (0 <= n && n <= 6) {
        printf("%s\n", week[n]);
    } else {
        printf("0 〜 6 の範囲で入力してください\n");
    }
    return 0;
}

void get_line(char *buffer, int size)
{
    if (fgets(buffer, size, stdin) == NULL) {
        buffer[0] = '\0';
        return;
    }

    for (int i = 0; i < size; i++) {
        if (buffer[i] == '\n') {
            buffer[i] = '\0';
            return;
        }
    }
}
